Update goal
curl --request PATCH \
--url https://api.darwin.so/api/v1/goals/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"intent": "<string>",
"accessPolicyId": "<string>",
"pausedUntil": "2023-11-07T05:31:56Z",
"cadence": {},
"targeting": {},
"context": {}
}
'import requests
url = "https://api.darwin.so/api/v1/goals/{id}"
payload = {
"title": "<string>",
"intent": "<string>",
"accessPolicyId": "<string>",
"pausedUntil": "2023-11-07T05:31:56Z",
"cadence": {},
"targeting": {},
"context": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
intent: '<string>',
accessPolicyId: '<string>',
pausedUntil: '2023-11-07T05:31:56Z',
cadence: {},
targeting: {},
context: {}
})
};
fetch('https://api.darwin.so/api/v1/goals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"goal": {
"id": "<string>",
"agentId": "<string>",
"title": "<string>",
"intent": "<string>",
"cadence": {},
"targeting": {},
"context": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"accessPolicyId": "<string>",
"pausedUntil": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"publication": {}
}
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}Goals
Update goal
PATCH
/
goals
/
{id}
Update goal
Authorizations
User keys begin with darwin_. Application service-account keys begin with darwin_sa_ and are restricted to linked agents.
Path Parameters
Body
application/json
Maximum string length:
160Maximum string length:
20000Available options:
DEMAND, SUPPLY, CHAT Available options:
DRAFT, ACTIVE, PAUSED, COMPLETED, ARCHIVED Available options:
PUBLIC, RESTRICTED, PRIVATE Response
The updated goal.
Show child attributes
Show child attributes
⌘I